using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Data;
using System.Windows.Automation;

namespace _280191_TreeViewDataBindingTriStateCheck
{
	public class CheckStateConverter : IValueConverter
	{

		#region IValueConverter Members

		public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
		{
			bool? result = (bool?)value;
			if (result.HasValue)
			{
				return result.Value ? ToggleState.On : ToggleState.Off;
			}
			else return ToggleState.Indeterminate;
		}

		public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
		{
			ToggleState state = (ToggleState)value;
			if (state == ToggleState.Indeterminate)
				return null;
			else return state == ToggleState.On ? true : false;
		}

		#endregion
	}
}

